GtkConv Signals

Signals:

- conversation-dragging
- conversation-timestamp
- displaying-im-msg
- displayed-im-msg
- displaying-chat-msg
- displayed-chat-msg
- conversation-switched
- conversation-hiding
- conversation-displayed

See also
  gtkconv.h

# conversation-dragging

void (*conversation_dragging)(PidginWindow *source, PidginWindow *destination);

Description:
  Emitted when a conversation is being drag and dropped between windows.

Parameters

  source | The window where the conversation is.
  destination | The window where the conversation will be moved to.

# conversation-timestamp

char *(*conversation_timestamp)(PurpleConversation *conv, time_t when,
gboolean show_date);

Description:
  Emitted to allow plugins to customize the timestamp on a message.

Parameters

  conv | The conversation the message belongs to.
  when | The time to be converted to a string.
  show_date | Whether the date should be displayed.

Returns
  A textual representation of the time, or `NULL` to use a default format.

# displaying-im-msg

gboolean (*displaying_im_msg)(PurpleAccount *account, const char *who,
char **message, PurpleConversation *conv,
PurpleMessageFlags flags);

Description:
  Emitted just before a message is displayed in an IM conversation. message is a pointer to a string, so the plugin can replace the message that will be displayed. This can also be used to cancel displaying a message by returning `TRUE`.

Note
  Make sure to free *message before you replace it!

Parameters

  account | The account.
  who | The name of the user.
  message | A pointer to the message.
  conv | The conversation.
  flags | Flags for this message.

Returns
  `TRUE` if the message should be canceled, or `FALSE` otherwise.

# displayed-im-msg

void (*displayed_im_msg)(PurpleAccount *account, const char *who,
char *message, PurpleConversation *conv,
PurpleMessageFlags flags);

Description:
  Emitted after a message is displayed in an IM conversation.

Parameters

  account | The account.
  who | The name of the user.
  message | The message.
  conv | The conversation.
  flags | Flags for this message.

# displaying-chat-msg

gboolean (*displaying_chat_msg)(PurpleAccount *account, const char *who,
char **message, PurpleConversation *conv,
PurpleMessageFlags flags);

Description:
  Emitted just before a message is displayed in a chat. message is a pointer to a string, so the plugin can replace the message that will be displayed. This can also be used to cancel displaying a message by returning `TRUE`.

Note
  Make sure to free *message before you replace it!

Parameters

  account | The account the message is being displayed and sent on.
  who | The name of the user.
  message | A pointer to the message that will be displayed and sent.
  conv | The conversation the message is being displayed and sent on.
  flags | Flags for this message.

Returns
  `TRUE` if the message should be canceled, or `FALSE` otherwise.

# displayed-chat-msg

void (*displayed_chat_msg)(PurpleAccount *account, const char *who,
char *message, PurpleConversation *conv,
PurpleMessageFlags flags);

Description:
  Emitted after a message is displayed in a chat conversation.

Parameters

  account | The account the message is being displayed and sent on.
  who | The name of the user.
  message | A pointer to the message that will be displayed and sent.
  conv | The conversation the message is being displayed and sent on.
  flags | Flags for this message.

# conversation-switched

void (*conversation_switched)(PurpleConversation *conv);

Description:
  Emitted when a window switched from one conversation to another.

Parameters

  new_conv | The now active conversation.

# conversation-hiding

void (*conversation_hiding)(PidginConversation *gtkconv);

Description:
  Emitted immediately before an existing conversation is hidden.

Parameters

  gtkconv | The PidginConversation

Since
  2.2.0

# conversation-displayed

void (*conversation_displayed)(PidginConversation *gtkconv);

Description:
  Emitted right after the Pidgin UI is attached to a new or a hidden conversation.

Parameters

  gtkconv | The PidginConversation

Since
  2.2.0